package com.john.exercise.domain;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.Entity;
import javax.persistence.OneToOne;
import javax.persistence.PrimaryKeyJoinColumn;

@Entity
@Getter @Setter
@AllArgsConstructor
@NoArgsConstructor
public class Measurements {

    @OneToOne
    @PrimaryKeyJoinColumn
    private User user;
    private Double heightInInches;
    private Double weightInPounds;
    private Double bicepSizeInInches;
}
